###################################################
### chunk number 1: SweaveListingsPreparations
###################################################
#line 76 "d:/Rcompile/CRANpkg/local/2.12/distr/inst/doc/newDistributions.Rnw"
require(SweaveListingUtils)
SweaveListingPreparations()
setToBeDefinedPkgs(pkgs = c("distr","distrEx"),
                   keywordstyles = "\\bf\\color{distrCol}")


###################################################
### chunk number 2: Prepa
###################################################
#line 135 "d:/Rcompile/CRANpkg/local/2.12/distr/inst/doc/newDistributions.Rnw"
## preparation: set option withSweave to true
require(distr)
distroptions(withSweave = TRUE)
options(width=70)


###################################################
### chunk number 3: exam1
###################################################
#line 142 "d:/Rcompile/CRANpkg/local/2.12/distr/inst/doc/newDistributions.Rnw"
require(distr)
N <- Norm(mean = 2, sd = 1.3)
P <- Pois(lambda = 1.2)
Z <- 2*N + 3 + P
Z
plot(Z, panel.first = grid(), lwd=2)
p(Z)(0.4)
q(Z)(0.3)
Zs <- r(Z)(50)
Zs


###################################################
### chunk number 4: DiscrDist
###################################################
#line 186 "d:/Rcompile/CRANpkg/local/2.12/distr/inst/doc/newDistributions.Rnw"
D <- DiscreteDistribution(supp = c(1,5,7,21), prob = c(0.1,0.1,0.6,0.2))
D
plot(D, panel.first = grid(), lwd = 2)


###################################################
### chunk number 5: AbscDist
###################################################
#line 195 "d:/Rcompile/CRANpkg/local/2.12/distr/inst/doc/newDistributions.Rnw"
AC <- AbscontDistribution(d = function(x) exp(-abs(x)^3), withStand = TRUE)
AC
plot(AC, panel.first = grid(), lwd = 2)


###################################################
### chunk number 6: AllClass1
###################################################
#line 255 "d:/Rcompile/CRANpkg/local/2.12/distr/inst/doc/newDistributions.Rnw"
lstinputSourceFromRForge("distr","R","AllClasses.R","distr",
                     "## Class: BinomParameter", "#-")


###################################################
### chunk number 7: AllClass2
###################################################
#line 262 "d:/Rcompile/CRANpkg/local/2.12/distr/inst/doc/newDistributions.Rnw"
lstinputSourceFromRForge("distr","R","AllClasses.R","distr",
                     from = "## Class: binomial distribution",
                     to = "contains = \"LatticeDistribution\"", 
                     offset.after = 1)


###################################################
### chunk number 8: BinomDist1
###################################################
#line 271 "d:/Rcompile/CRANpkg/local/2.12/distr/inst/doc/newDistributions.Rnw"
lstinputSourceFromRForge("distr","R","BinomialDistribution.R","distr",
                     from = c("## Access Methods", "## wrapped access methods"),
                     to = c("setReplaceMethod\\(\"prob\", \"BinomParameter\"",
                            "size = value\\)\\)") ,
                     offset.after = c(1,1))


###################################################
### chunk number 9: AllGenerics
###################################################
#line 280 "d:/Rcompile/CRANpkg/local/2.12/distr/inst/doc/newDistributions.Rnw"
lstinputSourceFromRForge("distr","R","AllGenerics.R","distr",
                     from = "if\\(!isGeneric\\(\"size\"",
                     to = "setGeneric\\(\"prob\"") 


###################################################
### chunk number 10: BinomDist2
###################################################
#line 288 "d:/Rcompile/CRANpkg/local/2.12/distr/inst/doc/newDistributions.Rnw"
lstinputSourceFromRForge("distr","R","BinomialDistribution.R","distr",
                     from = "setValidity\\(\"Binom",
                     to = "else return\\(TRUE\\)",
                     offset.after = 1)


###################################################
### chunk number 11: BinomDist3
###################################################
#line 297 "d:/Rcompile/CRANpkg/local/2.12/distr/inst/doc/newDistributions.Rnw"
lstinputSourceFromRForge("distr","R","BinomialDistribution.R","distr",
                     from = "Binom <- function",
                     to = "Binom <- function")


###################################################
### chunk number 12: BinomDist4
###################################################
#line 305 "d:/Rcompile/CRANpkg/local/2.12/distr/inst/doc/newDistributions.Rnw"
lstinputSourceFromRForge("distr","R","BinomialDistribution.R","distr",
                     from = "## Convolution for",
                     to = "\\}\\)")


###################################################
### chunk number 13: BinomParam
###################################################
#line 317 "d:/Rcompile/CRANpkg/local/2.12/distr/inst/doc/newDistributions.Rnw"
lstinputSourceFromRForge("distr","man","BinomParameter-class.Rd","distr")


###################################################
### chunk number 14: Binomclass
###################################################
#line 322 "d:/Rcompile/CRANpkg/local/2.12/distr/inst/doc/newDistributions.Rnw"
lstinputSourceFromRForge("distr","man","Binom-class.Rd","distr")


###################################################
### chunk number 15: Prepa2
###################################################
#line 335 "d:/Rcompile/CRANpkg/local/2.12/distr/inst/doc/newDistributions.Rnw"
## preparation: set option withSweave to true
require(distrEx)


###################################################
### chunk number 16: Expect
###################################################
#line 343 "d:/Rcompile/CRANpkg/local/2.12/distr/inst/doc/newDistributions.Rnw"
lstinputSourceFromRForge("distrEx","R","Expectation.R","distr",
                     from = "\"E\", signature\\(object = \"Binom\"",
                     to = "\\}\\)")


###################################################
### chunk number 17: var
###################################################
#line 350 "d:/Rcompile/CRANpkg/local/2.12/distr/inst/doc/newDistributions.Rnw"
lstinputSourceFromRForge("distrEx","R","Functionals.R","distr",
                     from = "\"var\", signature\\(x = \"Binom\"",
                     to = "\\}\\)")


###################################################
### chunk number 18: skew
###################################################
#line 357 "d:/Rcompile/CRANpkg/local/2.12/distr/inst/doc/newDistributions.Rnw"
lstinputSourceFromRForge("distrEx","R","Skewness.R","distr",
                     from = "\"skewness\", signature\\(x = \"Binom\"",
                     to = "\\}\\)")


###################################################
### chunk number 19: kurt
###################################################
#line 364 "d:/Rcompile/CRANpkg/local/2.12/distr/inst/doc/newDistributions.Rnw"
lstinputSourceFromRForge("distrEx","R","Kurtosis.R","distr",
                     from = "\"kurtosis\", signature\\(x = \"Binom\"",
                     to = "\\}\\)")


###################################################
### chunk number 20: cleanup
###################################################
#line 408 "d:/Rcompile/CRANpkg/local/2.12/distr/inst/doc/newDistributions.Rnw"
#unloadNamespace("SweaveListingUtils")


